diff autogen.sh @ 1142:c7376efecdb5

Date: Fri, 2 Sep 2005 21:56:50 -0400 From: Mike Frysinger Subject: [SDL] [patch] make sure autotools worked the current autogen.sh runs a bunch of autotools without actually checking the results ... find attached a patch to add some simple sanity checks
author Sam Lantinga <slouken@libsdl.org>
date Sun, 11 Sep 2005 04:15:44 +0000
parents 9430ba1a19f3
children d02b552e5304
line wrap: on
line diff
--- a/autogen.sh	Thu Sep 08 18:26:56 2005 +0000
+++ b/autogen.sh	Sun Sep 11 04:15:44 2005 +0000
@@ -8,9 +8,9 @@
 touch $directory/configure.in
 
 # Regenerate configuration files
-aclocal
-automake --foreign --include-deps --add-missing --copy
-autoconf
+aclocal || exit 1
+automake --foreign --include-deps --add-missing --copy || exit 1
+autoconf || exit 1
 (cd test; aclocal; automake --foreign --include-deps --add-missing --copy; autoconf)
 
 # Run configure for this platform